<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.PlatformMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.Platform">
        select * from tb_platform
        <where>  
            <if test="serviceCompany != null  and serviceCompany != ''"> and service_company = #{serviceCompany}</if>
            <if test="bankName != null  and bankName != ''"> and bank_name like concat('%', #{bankName}, '%')</if>
            <if test="bankAccount != null  and bankAccount != ''"> and bank_account = #{bankAccount}</if>
        </where>
    </select>

</mapper>